Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.exception
Class RevisionDoesNotExistException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException
                      org.hibernate.envers.exception.AuditException
                          org.hibernate.envers.exception.RevisionDoesNotExistException

All Implemented Interfaces:
  Serializable

    public class RevisionDoesNotExistException

extends AuditException

See Also:
  Serialized Form

Constructor Summary
`RevisionDoesNotExistException(Date date)`
`RevisionDoesNotExistException(Number revision)`

Method Summary
`Date` | `getDate()`
`Number` | `getRevision()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RevisionDoesNotExistException

    public RevisionDoesNotExistException(Number revision)

### RevisionDoesNotExistException

    public RevisionDoesNotExistException(Date date)

Method Detail

### getRevision

    public Number getRevision()

### getDate

    public Date getDate()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.